# $Revision: 1.30 $, $Date: 2004/08/19 18:43:25 $
Summary:	wmGrabImage grabs an image from the WWW and displays it
Summary(pl):	wmGrabImage wyciga obrazki ze stron WWW i wywietla je
Name:		wmGrabImage
Version:	0.72
Release:	2
License:	GPL
Group:		X11/Window Managers/Tools
Source0:	http://nis-www.lanl.gov/~mgh/WindowMaker/%{name}-%{version}.tgz
# Source0-md5:	2cbd769b0cc909890ebdd48c2746f686
Source1:	%{name}.desktop
URL:		http://nis-www.lanl.gov/~mgh/WindowMaker/DockApps.shtml
BuildRequires:	XFree86-devel
Requires:	ImageMagick
Requires:	wget
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
wmGrabImage grabs an image from the WWW and displays it.

%description -l pl
wmGrabImage jest programem, ktry wyciga pliki graficzne ze stron
WWW, a potem je wywietla.

%prep
%setup -q

%build
%{__make} -C %{name} clean
%{__make} -C %{name} \
        CFLAGS="%{rpmcflags} -Wall -I%{_includedir}" \
	LIBDIR="-L/usr/X11R6/%{_lib}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1} \
        $RPM_BUILD_ROOT%{_desktopdir}/docklets

install %{name}/wmGrabImage $RPM_BUILD_ROOT%{_bindir}
install %{name}/GrabImage $RPM_BUILD_ROOT%{_bindir}
install %{name}/wmGrabImage.1 $RPM_BUILD_ROOT%{_mandir}/man1
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/docklets

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS CHANGES HINTS TODO
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/docklets/wmGrabImage.desktop
%{_mandir}/man1/wmGrabImage.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wmGrabImage.spec,v $
Revision 1.30  2004/08/19 18:43:25  yogib
- fix building on amd64

Revision 1.29  2004/07/18 20:36:13  yogib
- updated to 0.72, added R: ImageMagick, switched to vfolders, cosmetics

Revision 1.28  2003/05/28 13:02:52  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 06:27:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/02/28 10:08:59  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.25  2003/01/18 22:57:41  juandon
- removed two lines with define

Revision 1.24  2002/11/29 22:47:11  ankry
- massive attack: new %%doc

Revision 1.23  2002/02/22 23:29:59  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.22  2002/01/18 02:15:22  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.21  2001/11/24 01:28:59  kloczek
- commented install desktop file.

Revision 1.20  2001/11/23 22:01:48  blues
- release 2
- cosmetic in files

Revision 1.19  2001/11/21 01:43:32  blues
- URLs updated

Revision 1.18  2001/05/03 01:14:05  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.17  2000/11/12 16:58:51  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.16  2000/06/09 07:24:01  kloczek
- added using %%{__make} macro.

Revision 1.15  2000/04/01 11:15:57  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.14  2000/03/28 16:55:09  baggins
- translated kloczkish into english

Revision 1.13  1999/11/27 02:59:14  pius
- added using more rpm macros
- cosmetics

Revision 1.12  1999/09/04 09:02:32  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.11  1999/08/31 11:13:53  kloczek
- cosmetics.

Revision 1.10  1999/08/31 00:39:00  pius
- updated to 0.70

Revision 1.9  1999/07/20 12:48:11  wiget
- switch to rpm 3.0.2

Revision 1.8  1999/07/12 23:06:21  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sat May 15 1999 Piotr Czerwiski <pius@pld.org.pl>
  [0.63-3]
- spec file modified for PLD use,
- package is FHS 2.0 compliant.

* Tue Feb 9 1998 Ian Macdonald <ianmacd@xs4all.nl>
- first RPM release.
